<?php

// This file is part of ExamSys
//
// ExamSys is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// ExamSys is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with ExamSys.  If not, see <http://www.gnu.org/licenses/>.

/**
 *
 * Return a new object for the chose VLE API
 *
 * @author Rob Ingram
 * @version 1.0
 * @copyright Copyright (c) 2014 The University of Nottingham
 * @package
 */
class CMFactory
{
    /**
     * Create a cmap object
     * @param string $vleapi the name of the vle
     * @return mixed
     * @throws ClassNotFoundException
     */
    public static function GetCMAPI($vleapi)
    {
        $configObject = Config::get_instance();

        $classname = 'CM_' . $vleapi;
        $classfile = 'CM_' . $vleapi . '.class.php';

        try {
            include_once $configObject->get('cfg_web_root') . '/plugins/CM/' . $classfile;
            $object = new $classname();
        } catch (Exception $ex) {
            throw new ClassNotFoundException($classname);
        }

        return $object;
    }
}
